package com.ruoyi.adjust.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 导步导出日志对象 asynch_exp_log
 * 
 * @author klbc
 * @date 2022-05-22
 */
public class AsynchExpLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 数据类型 */
    @Excel(name = "数据类型")
    private String dataType;

    /** 数据类型名 */
    @Excel(name = "数据类型名")
    private String dataTypeName;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String fileUrl;

    /** 文件路径 */
    private String filePath;

    /** 文件名 */
    @Excel(name = "文件名")
    private String fileName;

    /** 导出状态,0末导出，1导出中，2导出成功，3发送失败 */
    @Excel(name = "导出状态")
    private String expStatus;

    /** 失败原因 */
    private String errReason;

    /** 导出日期 */
    @Excel(name = "导出日期")
    private String expDate;

    /** 导出用时 */
    @Excel(name = "导出用时")
    private Long expUsedTime;

    /** 租户号 */
    private String tenantNo;
    
    /**
     * 总记录数
     */
    private Long totalCnt;
    
    /**
     * 当前记录数
     */
    @TableField(exist = false)
    private Long currCnt;
    /**
     * 当前进度
     */
    @TableField(exist = false)
    private String currRate;


	public String getCurrRate() {
		return currRate;
	}

	public void setCurrRate(String currRate) {
		this.currRate = currRate;
	}

	public Long getTotalCnt() {
		return totalCnt;
	}

	public void setTotalCnt(Long totalCnt) {
		this.totalCnt = totalCnt;
	}

	public Long getCurrCnt() {
		return currCnt;
	}

	public void setCurrCnt(Long currCnt) {
		this.currCnt = currCnt;
	}

	public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDataType(String dataType) 
    {
        this.dataType = dataType;
    }

    public String getDataType() 
    {
        return dataType;
    }
    public void setDataTypeName(String dataTypeName) 
    {
        this.dataTypeName = dataTypeName;
    }

    public String getDataTypeName() 
    {
        return dataTypeName;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }
    public void setFilePath(String filePath) 
    {
        this.filePath = filePath;
    }

    public String getFilePath() 
    {
        return filePath;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setExpStatus(String expStatus) 
    {
        this.expStatus = expStatus;
    }

    public String getExpStatus() 
    {
        return expStatus;
    }
    public void setErrReason(String errReason) 
    {
        this.errReason = errReason;
    }

    public String getErrReason() 
    {
        return errReason;
    }
    public void setExpDate(String expDate) 
    {
        this.expDate = expDate;
    }

    public String getExpDate() 
    {
        return expDate;
    }
    public void setExpUsedTime(Long expUsedTime) 
    {
        this.expUsedTime = expUsedTime;
    }

    public Long getExpUsedTime() 
    {
        return expUsedTime;
    }
    public void setTenantNo(String tenantNo) 
    {
        this.tenantNo = tenantNo;
    }

    public String getTenantNo() 
    {
        return tenantNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataType", getDataType())
            .append("dataTypeName", getDataTypeName())
            .append("fileUrl", getFileUrl())
            .append("filePath", getFilePath())
            .append("fileName", getFileName())
            .append("expStatus", getExpStatus())
            .append("errReason", getErrReason())
            .append("expDate", getExpDate())
            .append("expUsedTime", getExpUsedTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("tenantNo", getTenantNo())
            .toString();
    }
}
